Bug 14090 - vfs_glusterfs does not initialize st_ex_iflags and st_ex_file_id
vfs_glusterfs does not initialize st_ex_iflags and st_ex_file_id
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-14 08:15 UTC by Ralph Böhme
Modified: 2019-08-27 10:32 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.11 cherry-picked from master (1.56 KB, patch)
2019-08-21 15:01 UTC, Ralph Böhme
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2019-08-14 08:15:13 UTC
The changes around 71996fef09f28fba39637acb86a51b5e0c1da36b added st_ex_iflags and st_ex_file_id and opaque VFS modules must initialize their values correctly.

vfs_cephfs was updated, but vfs_glusterfs was overlooked. Sorry for that! :)
Comment 1 Ralph Böhme 2019-08-21 15:01:13 UTC
Created attachment 15408 [details]
Patch for 4.11 cherry-picked from master
Comment 2 Ralph Böhme 2019-08-21 16:02:20 UTC
Reassigning to Karolin for inclusion in 4.11 and only in 4.11.
Comment 3 Jeremy Allison 2019-08-22 17:42:23 UTC
Comment on attachment 15408 [details]
Patch for 4.11 cherry-picked from master

LGTM.
Comment 4 Karolin Seeger 2019-08-23 08:52:16 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-11-test.
Comment 5 Karolin Seeger 2019-08-27 10:32:55 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to v4-11-test.
Closing out bug report.

Thanks!